Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des outils Part.


Primitives et Modification des objets



Cette page est spécialement destinée à l'impression, comme un gros document, donc, si vous lisez ceci en ligne, vous pourrez préférer aller directement à la version Aide en ligne, qui est plus facile à parcourir.

Primitives

Part Box.png {{{Name/fr}}}

Emplacement du menu
Part → Box
Ateliers
Part, Complete
Raccourci par défaut
Aucun
Voir aussi
Part CreatePrimitives

Contents


Description

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

How to Use

  • Click the cube icon Part Box.png from the Part Workbench.
  • Alternatively, you can select Part → Primitives → Cube from the menu bar.

Options

  • Via the Property Editor:
    • Length: Set the length distance for your Box object (default is 10 mm).
    • Width: Set the width distance for your Box object (default is 10 mm).
    • Height: Set the height distance for your Box object (default is 10 mm).
    • Placement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • Label: The Label is the name given to the operation. This name can be changed at your convenience.

Properties

Base

  • DATAPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • DATALabel: Label given to the Box object. Change to suit your needs.

Box

  • DATALength: The length parameter is the Box's dimension in the x-direction.
  • DATAWidth: The width parameter is the Box's dimension in the y-direction.
  • DATAHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox") 
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30 

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10)) 

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".

Part Cone.png Cône

Emplacement du menu
Paramétrique → Cône
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Part CreatePrimitives


Description

Un cône paramétrique tronqué est une primitive disponible sur la barre d'outils Part, ou dans le menu (primitives sub-menu) une boite de dialogue primitives géométriques est ouverte.

Utilisation

Dans l'atelier part, cliquez sur l'icône cône Part Cone.png.

Les valeurs par défaut créent un cône tronqué, défini par les paramètres rayon 1, rayon 2 hauteur et angle. par défaut le cône nouvellement créé est positionné aux coordonnées d'origine (0,0,0). Le paramètre angle permet de créer une portion de cône (par défaut, 360°) et les rayons 1 et 2 correspondent à la base et à la hauteur du cône tronqué.

Options

PartConeProperty en.png

Cone

  • Rayon 1 - rayon de l'arc ou du cercle définissant la face de la base du cône
  • Rayon 2 - rayon de l'arc ou du cercle définissant la face du haut du cône
  • Hauteur - la hauteur du cône
  • Angle - le nombre représentant le degrés de l'arc ou du cercle définissant les faces de la base et du haut du cône tronqué. Par défaut, la face circulaire est de 360°, une valeur inférieure défini une portion du cône.


L'image ci-dessous montre un cône avec le paramètre "Angle" réglé sur 270 degrés et les autres paramètres ont leurs valeurs par défaut.


Otherwisedefault270degree Part Cone.png


Part Cylinder.png Cylindre

Emplacement du menu
Paramétrique → Cylindre
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Part CreatePrimitives


Description

Crée un simple cylindre paramétrique, avec sa position, son angle de remplissage, son rayon et sa hauteur.

Utilisation

Dans l'atelier Part cliquez sur l'icône du cylindre Part Cylinder.png. Par défaut le cylindre est plein et à sa position d'origine 0,0,0 et avec un rayon de 2.0mm et une hauteur de 10.0mm.

Options

Les propriétés peuvent être éditées dans "Vue combinées > Propriétés onglet Données :

Un cylindre est créé avec l'outil "Cylindre"

Cylindre

  • Angle: Le paramètre angle permet de créer une portion du cylindre (l'angle par défaut est de 360°).
  • Height: La valeur Height est la hauteur dans l'axe Z.
  • Radius: Le rayon est défini dans le plan X-Y.


Part Sphere.png Sphère

Emplacement du menu
Part → Sphère
Ateliers
Part, Complet
Raccourci par défaut
Aucun
Voir aussi
Créer des Primitives


Description

Crée une simple Sphère paramétrique, avec des paramètres de position, de rayon, et d'angles (angle1, angle2 et angle3).La Sphère, sera positionnée, à sa création au point d'origine (0,0,0).
Les paramètres angulaires permettent de tronquer et de créer une révolution incomplète (portion de sphère) au lieu d'une Sphère complète. Par défaut, ils sont définis à -90°, 90°, 360°, et, 5 mm de rayon.

SimpleSphere.jpg

Utilisation

Dans l'atelier Part cliquez sur l'icône Part Sphere.png. A sa création la sphère est positionnées aux coordonnées d'origine 0,0,0. Les paramètres d'angles permettent de construire une portion de sphère ou une sphère complète (la valeur par défaut est 360°).

Options

The parametric sphere is defined by the following parameters:

  • Rayon
  • Angle 1
  • Angle 2
  • Angle 3
  • ainsi que l'ensemble standard de paramètres de placement

L'image ci-dessous donne un aperçu d'une sphère paramétrique avec des paramètres différents de la valeur par défaut.

PartDesign Sphere Parameter en.jpg

Paramètres

  • Rayon: Rayon de la sphère
  • Angle 1: angle défini entre l'axe des y (flèche verte) et une ligne imaginaire de rotation autour de l'axe des x (flèche rouge). Une extrémité de la ligne est fixée à l'origine. L'autre extrémité de la ligne peut tourner comme il est dit autour de l'axe x et de rester dans le plan XY. La ligne a la longueur du rayon de la sphère.
  • Angle 2: test

Because it is quite difficult to explain the meaning of the parameters angle 1, angle 2, angle 3, the picture below gives an explanation about these parameters with following values: angle 1 = -45°, angle 2 = 45° and angle 3= 90°.

SphereCutThreeAngles.jpg

Part Torus.png Tore

Emplacement du menu
Pièce → Tore
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Création de Primitives


Description

Creates a simple parametric torus, with position, angle1, angle2, angle3, radius1 and radius2 as parameters.

SimpleTorus.jpg

How to use

In the Part workbench click on the torus icon Part Torus.png. The torus will be positioned at origin (point 0,0,0) on creation. The angle parameters (angle1, angle2, angle3), as well as the radius parameter (radius1 , radius2) parameters permit to parametrize the torus, see next paragraph.

Option

TorusExampleOverviewParameters.jpg

Parameter

A torus can be assimilated to a small disc that makes a circular orbit around an imaginary axe. Thus the parametric torus is defined by the following parameters:

  • Radius1: Radius of the circle around which the disc circulate
  • Radius2: Radius of the disc defining the form of the torus
  • Angle1: 1st angle to cut / define the disc of the torus
  • Angle2: 2nd angle to cut / define the disc of the torus
  • Angle3: 3rd angle to define the circumference of the torus.

as well as the standard set of placement parameters. The pictures below give a visual overview of the parameters antecedently mentioned:

TorusExampleRadius1.jpg The parameter Radius1 has a value of 20 mm.

TorusExampleRadius2.jpg The parameter Radius2 has a value of 2 mm.

TorusExampleAngle1.jpg The parameter Angle1 has a value of -90°. Notice that, the "angle measure" tool cannot display negative angle. Considered the displayed value in picture as "-90°".

TorusExampleAngle2.jpg The parameter Angle2 has a value of 90°.

TorusExampleAngle3.jpg The parameter Angle3 has a value of 90°.


Modifier les objets

Part Extrude.png Extrusion

Emplacement du menu
Pièce → Extrusion...
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Révolution


Description

L'outil Extrusion prolonge une forme dans une distance et une direction spécifiées. Le type de la forme résultante pourra varier selon le type de la forme initiale et des options sélectionnées.

In most common scenarios, the following lists the expected output shape type from a given input shape type,

  • Extrude a Vertex (point), will produce a lineal Edge (Line)
  • Extrude a open edge (e.g. line, arc), will produce a open face (e.g. plane)
  • Extrude a closed edge (e.g. circle), will optionally produce a closed face (e.g. an open ended cylinder) or if the parameter "solid" is "true" will produce a solid (e.g. a closed solid cylinder)
  • Extrude a open Wire (e.g. a Draft Wire), will produce a open shell (several joined faces)
  • Extrude a closed Wire (e.g. a Draft Wire), will optionally produce a shell (several joined faces) or if the parameter "solid" is "true" will produce a solid
  • Extrude a face (e.g. plane), will produce a solid (e.g. Cuboid)
  • Extrude a Draft Shape String, will produce a compound of solids (the string is a compound of the letters which are each a solid)
  • Extrude a shell of faces, will produce a Compsolid.

Utilisation

  1. Sélectionner une ou des formes dans la vue 3D ou dans l'arborescence Modèle.
  2. Cliquer sur l'icône Part Extrude.png Extrusion dans la barre d'outils, ou aller dans le menu Pièce → Extrusion
  3. Définir la direction et la longueur, et optionnelement d'autres paramètres (voir la section suivante Paramètres pour plus de détails).
  4. Cliquer sur OK.

La sélection peut également être faite après le lancement de l'outil, en sélectionnant une ou plusieurs formes dans la liste sous le panneau Tâches.

L'arborescence Modèle listera autant d'objets « Extrude » que de formes originales sélectionnées. Chaque forme initiale est placée sous son objet « Extrude » correspondant.

Paramètres

La forme « Extrude » est définie par les paramètres suivants, qui peuvent être édités après sa création sous l'onglet Données.

  • Base: la forme initiale (la forme à partir de laquelle l'extrusion est basée)
  • Dir: la direction et la distance de prolongement de la forme, avec la distance définie par les axes X, Y et Z.
  • Solid ("true" ou "false"): bascule entre une surface ou un solide, si n'est pas déjà défini par la nature de la forme initiale
  • Taper Angle: applique un angle de dépouille à l'extrusion, avec l'extrémité de l'extrusion plus petite ou plus grande que la forme originale, tout dépendant si l'angle a une valeur positive ou négative.
  • Placement: les paramètres de positionnement standards.
  • Label: étiquette, ou description affichée dans l'arborescence Modèle (non disponible lors de la création de l'extrusion)

Dialog-extrude.jpg


Part Revolve.png Révolution

Emplacement du menu
Pièce → Révolution
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Extrusion



Description

  • Si votre version de FreeCAD a une case à cocher pour Solide dans le dialogue de Revolutrion, vous pouvez faire des Solides à partir de filaires fermés et d'Arêtes.(Voir Notes pour les exceptions):

Crée une text-top=Révolution Révolution de l'objet sélectionné autour d'un axe donné. La forme résultante sera un solide fermé, ou une face ouverte, selon que la forme de départ, est une face, ou un contour ouvert.

Part Revolve fr 01.png



Utilisation

Après avoir sélectionné une text-top=Sketcher esquisse, choisissez l'axe de text-top=Révolution Révolution, et, l'angle à donner à la text-top=Révolution révolution.

Les types de formes suivantes sont autorisées, et, conduisent à des formes de production répertoriés :

Input shape Output shape
Vertex Edge
Edge Face
Wire Shell
Face Solid
Shell Compound solid (Compsolid)

Les solides, ou les compositions avec des solides, ne sont pas autorisés comme formes d'entrée. Les compositions normales, ne sont actuellement pas autorisées.
Les versions futures vérifieront les formes réelles, et les type d'objets composés.

Options

Vue combinée → Tâche


Part Revolve fr 05.png

Part Revolve.png Révolution

  • TÂCHES Angle : L'argument Angle, spécifie jusqu'à quel point l'objet doit être transformé. (Défaut, 360°).
  • TÂCHES X  : Distance de déplacement dans la direction X, de l'axe de rotation, par rapport à l'origine du système de coordonnées. ( Défaut, 0,00).
  • TÂCHES Y  : Distance de déplacement dans la direction Y, de l'axe de rotation, par rapport à l'origine du système de coordonnées. ( Défaut, 0,00).
  • TÂCHES Z  : Distance de déplacement dans la direction Z, de l'axe de rotation, par rapport à l'origine du système de coordonnées. ( Défaut, 0,00).
  • TÂCHES Axe  : Direction de text-top=Révolution révolution à donner à la forme, X, Y ou Z Tache Axe fr 00.png. (Défaut, Z).

Si vous sélectionnez un axe défini par l'utilisateur, Une boîte de dialogue s'affiche Part Revolve fr 06.png, les coordonnées définissent la direction de l'axe tournant, en ce qui concerne le système de coordonnées : si la coordonnée Z est 0, et, les coordonnées Y, et, X sont non nulles, alors, l'axe se trouve sur le Plan X-Y.
Son angle est tel, que la tangente est le quotient de la donnée Coordonnée X et Y.

  • TÂCHES Select line in 3D view  : (à documenter)

Formes

  • Liste des formes susceptibles d’être modifiées.



Dialog-revolve.png

Vue combinée → Propriétés Données


Propiriétés Données Extrusion

Base

  • DONNÉESAngle : Angle de rotation à donner à la forme, de -360,00° à 360,00°. (Défaut, 360,00°). ( TÂCHES Angle )
  • DONNÉESAxis : [0,00 0,00 1,00] . Axe sur lequel la text-top=Révolution révolution va s'effectuer. ( TÂCHES Axe ).
  • DONNÉES X  : Valeur à donner dans la direction X . (Défaut, 0,00).
  • DONNÉES Y  : Valeur à donner dans la direction Y . (Défaut, 0,00).
  • DONNÉES Z  : Valeur à donner dans la direction Z . (Défaut, 1,00).
  • DONNÉESBase : [0,00 0,00 0,00] Récapitulatif des coordonnées de déplacement, où l'axe de text-top=Révolution Révolution va s'effectuer, à partir des coordonnée 0,00 0,00 0,00.
  • DONNÉES X  : Déplacement de l'axe de rotation de la forme dans la direction X, ( TÂCHES X ) (Défaut, 0,00).
  • DONNÉES Y  : Déplacement de l'axe de rotation de la forme dans la direction Y, ( TÂCHES Y ) (Défaut, 0,00).
  • DONNÉES Z  : Déplacement de l'axe de rotation de la forme dans la direction Z, ( TÂCHES Z ) (Défaut, 0,00).
  • DONNÉESLabel : Label donné à la forme, modifiable à volonté.
  • DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Angle, Axis, et, Position ci dessous.
    Si vous sélectionnez, le titre Placement Options Placement, un bouton avec trois petits points s'affiche, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.
  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z. (Défaut, 0,00°).
  • DONNÉESAxis : [0,00 0,00 1,00] Récapitulatif des axes. Cette option spécifie l'axe des axes autour desquels la pièce de révolution créée doit être pivotée PAS RÉVOLUTIONNÉE (la valeur exacte du pivotement est défini par l'option Angle ci-dessus).

Cette option demande trois arguments, qui sont passés sous forme de nombres dans les cases de la boîte à outils, définissants les coordonnées x, y ou z, .
La modification d'une valeur de plus d'un axes provoque la rotation avec l'angle de chaque axe.
Par exemple : nous déterminons un angle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ".

  • DONNÉES X  : Valeur à donner dans la direction X . (Défaut, 0,00).
  • DONNÉES Y  : Valeur à donner dans la direction Y . (Défaut, 0,00).
  • DONNÉES Z  : Valeur à donner dans la direction Z . (Défaut, 1,00).
  • DONNÉESPosition : [0,00 0,00 0,00] récapitulation des coordonnées de position. Déplacement des coordonnées X, Y, Z, par rapport aux points d'origine 0, 0, 0.
  • DONNÉES X  : Distance à donner à la direction X .(Défaut, 0,00).
  • DONNÉES Y  : Distance à donner à la direction Y .(Défaut, 0,00).
  • DONNÉES Z  : Distance à donner à la direction Z .(Défaut, 0,00).


Exemple










Les outils de modifications

text-top=Extrusion    text-top=Révolution    text-top=Miroir    text-top=Congé    text-top=Chanfrein   

Notes

  • If your version of FreeCAD has a check box for Solid in the Revolve dialog, you can make Solids from closed Wires and Edges.
  • If Revolve is performed using an axis that intersects the face to rotate, and you want to create a solid, the result might be invalid. This can happen for various reasons, self-intersection, direction, etc.

Part Mirror.png Mise en miroir

Emplacement du menu
Pièce → Mise en miroir
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Aucun


Description

Cet outil créé un nouvel objet qui est la réflexion de l'objet source sélectionné par rapport à un plan miroir. Le plan miroir peut être un plan standard (XY, XZ ou YZ) ou n'importe quel plan parallèle à un plan standard.

Un exemple :

Avant


Après (symétrisé depuis le plan YZ)


Utilisation

Sélectionnez l'outil text-top=Miroir Miroir, dans " Boîte déroulante des ateliers → Part Part text-top=Miroir miroir" puis sélectionnez une, ou plusieurs text-top=Sketcher esquisse(s), dans la fenêtre Formes, et, sélectionnez un text-top=Sélection du plan plan, pour dupliquer la, ou les forme(s) en text-top=Miroir miroir.
Il faut réactiver la commande pour chaque opération.

PARTMirrorDialogv11.png

Sélectionnez l'objet source dans la liste. Sélectionnez une norme 'Miroir plan' à partir de la sélection. Appuyez sur 'OK' pour créer l'image de l'objet


Option

Les cases 'point de base' peuvent être utilisées pour déplacer le miroir plan parallèle au plan de miroir standard sélectionné. Seul l'une des cases 'X' , 'Y' ou 'Z' est active pour un plan standard donné.

Vue combinée → Tâches


Part Mirror fr 05.png

Part Mirror.png Mise en miroir

Formes

  • Cette fenêtre, liste toutes les formes qui peuvent être utilisées par l'outil text-top=Miroir miroir, vous pouvez sélectionner votre forme dans cette liste.
  • TÂCHES Plan miroir : Choix du plan miroir à utiliser, XY, XZ ou YZ, Tache Plan Miroir fr 00.png. ( Défaut, Plan XY).
  • TÂCHES Point de départ : Décalage(s) à effectuer pour le text-top=Miroir miroir, dans la ou les direction(s) choisie(s) X, Y et (ou) Z.

Propriétés

Vue combinée → Propriétés Vue


[[Image dans la direction TÂCHES Point de départ:Part_Mirror_fr_03.png|left|240px|Propriétés Vue Extrusion]]

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEControl Point : Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEDeviation : (Défaut, 0.00).
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUEDraw Style : Type de ligne, Solid, Dashed, Dotted, Dashdot Vue DrawStyle fr 00.png. (Défaut, Solid).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords). (Défaut, 255, 255, 255).
  • VUELine Width : Donne l'épaisseur de la ligne (bords). (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme). (Defaut, 255, 255, 255).
  • VUEPoint Size : Donne la dimension des points. (Défaut, 2.00).
  • VUESelectable : Autorise la sélection de la forme. Valeur FALSE, ou TRUE (Défaut, TRUE).
  • VUEShape Color : Donne la couleur de la forme. (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100. (Defaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur FALSE, ou TRUE. (Défaut, TRUE).

Vue combinée → Propriétés Données


Propriétés Données Extrusion

Base

  • DONNÉESLabel : Label donné à la forme, modifiable à volonté.
  • DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Angle, Axis, et, Position ci dessous.
    Si vous sélectionnez, le titre Placement dans la direction TÂCHES Point de départOptions Placement, un bouton avec trois petits points s'affiche, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche dans la direction TÂCHES Point de départ Placement.
  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z. (Défaut, 0,00°).
  • DONNÉESAxis : Cette option spécifie l'axe des axes autour desquels la pièce de révolution créée doit être pivotée PAS RÉVOLUTIONNÉE (la valeur exacte du pivotement est défini par l'option Angle ci-dessus).
    dans la direction TÂCHES Point de départ

Cette option demande trois arguments, qui sont passés sous forme de nombres dans les cases de la boîte à outils, définissants les coordonnées x, y ou z, .
La modification d'une valeur de plus d'un axes provoque la rotation avec l'angle de chaque axe.
Par exemple : nous déterminons un angle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour ydans la direction TÂCHES Point de départ, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ".

  • DONNÉES X  : Angle à donner dans la direction X . (Défaut, 0,00).
  • DONNÉES Y  : Angle à donner dans la direction Y . (Défaut, 0,00).
  • DONNÉES Z  : Angle à donner dans la direction Z . (Défaut, 1,00).

Plane

  • DONNÉESBase : [0,00 0,00 0,00] récapitulation des coordonnées de position de la base de la forme mise en text-top=Miroir Miroir . Déplacement des coordonnées X, Y, Z, par rapport à la forme d'origine.
  • DONNÉES X  : Déplacement à donner dans la direction TÂCHES Point de départ X .(Défaut, 0,00).
  • DONNÉES Y  : Déplacement à donner dans la direction TÂCHES Point de départ Y .(Défaut, 0,00).
  • DONNÉES Z  : Déplacement à donner dans la direction TÂCHES Point de départ Z .(Défaut, 0,00).
  • DONNÉESNormal : [0,00 0,00 0,00] récapitulation des coordonnées de la direction de la normale, (TÂCHES Plan miroir).
  • DONNÉES X  : Direction de la normale TÂCHES Plan miroir XY .(Défaut, 1,00).
  • DONNÉES Y  : Direction de la normale TÂCHES Plan miroir XZ .(Défaut, 0,00).
  • DONNÉES Z  : Direction de la normale TÂCHES Plan miroir YZ .(Défaut, 0,00).


effet.|}

Exemple







Limitations

  • Les plans de miroir arbitraires (et non parallèles à un plan standard) ne sont pas pris en charge (à partir de la version 0.13 FC).


Les outils de modifications

text-top=Extrusion    text-top=Révolution    text-top=Miroir    text-top=Congé    text-top=Chanfrein   

Part Fillet.png Congé Pièce

Emplacement du menu
Part → Congé
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Chanfrein Pièce


Description

Cet outil applique des text-top=Congé congés (arrondis) sur les arêtes sélectionnées d'un objet. Une boite de dialogue vous permet de choisir sur quels objets, et, sur quelles arêtes travailler.

Congé


Utilisation

Démarrez l'outil text-top=Congé congés qui se trouve dans " Boîte déroulante des ateliers → Part Parttext-top=Congé congés depuis la barre d'outils, ou le menu. Vous pouvez sélectionner l'objet au préalable.
Si la forme n'a pas été sélectionnée au préalable, sélectionnez-la dans la liste déroulante du panneau des Tâches.
Sélectionnez le type de congé, soit rayon constant (par défaut), ou rayon variable.
Sélectionnez les arêtes, soit dans la vue 3D, ou en les cochant, dans la liste du panneau des Tâches.
Réglez la valeur du rayon, puis cliquez OK pour valider.

Options

Vue combinée → Tâche


Tâche options Fillet (congé)

Part Fillet.png Congé des arêtes

Forme

  • TÂCHES Forme sélectionnée : Si une forme a été sélectionnée, elle est automatiquement affichée. Si aucune forme n'est sélectionnée, vous pouvez sélectionner votre forme dans cette boîte déroulante. Cette boîte déroulante Tache PartFillet Fillet fr 00.png, liste toutes les formes qui peuvent être utilisées par l'outil text-top=Congé congé, vous pouvez sélectionner votre forme dans cette liste, (ou avant de sélectionner l'outil text-top=Congé congés, directement dans la fenêtre 3D, et, elle sera automatiquement affichée). (Défaut, Aucune sélection).

Paramètres de congé

  • Tous  : Sélectionne toutes les arêtes de la forme sélectionnée.
  • Aucun  : Décoche toutes les arêtes de la forme sélectionnée.
    Chaque arête peut être cochée séparément.
  • TÂCHES Type de congé : Cette option, vous permet de choisir le type de congé a effectuer, Tache PartFillet Rayon fr 00.png, Rayon constant, ou Rayon variable. (Défaut, Rayon constant).

Sur cette exemple l'option est réglée sur Rayon constant, et, un seul réglage de rayon est possible.

  • TÂCHES Rayon : Réglage du paramètre rayon, ici un seul rayon, pour un Rayon constant.


Tâche options Fillet (congé)


Sur cette exemple l'option est réglée sur Rayon variable, et, deux réglages de rayons sont demandés.

  • TÂCHES Rayon : Réglage des paramètres rayon, ici deux rayons sont a entrer, Rayon initial, et, Rayon final, pour avoir un Rayon variable.

Propriétés

Vue combinée → Propriétés Vue


Propriétés Vue Congé

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEControl Point : Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEDeviation : (Défaut, 0.00).
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUEDraw Style : Type de ligne, Solid, Dashed, Dotted, Dashdot Vue DrawStyle fr 00.png. (Défaut, Solid).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords). (Défaut, 255, 255, 255).
  • VUELine Width : Donne l'épaisseur de la ligne (bords). (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme). (Defaut, 255, 255, 255).
  • VUEPoint Size : Donne la dimension des points. (Défaut, 2.00).
  • VUESelectable : Autorise la sélection de la forme. Valeur FALSE, ou TRUE (Défaut, TRUE).
  • VUEShape Color : Donne la couleur de la forme. (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100. (Defaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur FALSE, ou TRUE. (Défaut, TRUE).

Vue combinée → Propriétés Données


Propriétés Données

Base

  • DONNÉESLabel : Label donné à la forme, modifiable à volonté.
  • DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Angle, Axis, et, Position ci dessous.
    Si vous sélectionnez, le titre Placement Options Placement, un bouton avec trois petits points s'affiche, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.
  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z. (Défaut, 0,00°).
  • DONNÉESAxis : Cette option spécifie l'axe des axes autour desquels la pièce de révolution créée doit être pivotée PAS RÉVOLUTIONNÉE (la valeur exacte du pivotement est défini par l'option Angle ci-dessus).

Cette option demande trois arguments, qui sont passés sous forme de nombres dans les cases de la boîte à outils, définissants les coordonnées x, y ou z, .
La modification d'une valeur de plus d'un axes provoque la rotation avec l'angle de chaque axe.
Par exemple : nous déterminons un angle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ".

  • DONNÉES X  : Angle à donner dans la direction X . (Défaut, 0,00).
  • DONNÉES Y  : Angle à donner dans la direction Y . (Défaut, 0,00).
  • DONNÉES Z  : Angle à donner dans la direction Z . (Défaut, 1,00).
  • DONNÉESPosition : [0,00 0,00 0,00] récapitulation des coordonnées de position, par rapport coordonnée d'origine 0,00 0,00 0,00.
  • DONNÉES X  : Déplacement à donner dans la direction X .(Défaut, 0,00).
  • DONNÉES Y  : Déplacement à donner dans la direction Y .(Défaut, 0,00).
  • DONNÉES Z  : Déplacement à donner dans la direction Z .(Défaut, 0,00).


Exemple









Dialog-fillet.jpg

Comparaison congé PartDesign et congé Part

Le text-top=Congé Congé PartDesign ne doit pas être confondu avec son équivalent de l'atelier Part text-top=Congé Congé Part.
Bien qu'ils partagent la même icône, ces outils sont différents, et s'utilisent différemment.

Voici quelques différences :

  • Le text-top=Congé Congé PartDesign est paramétrique. Après l'application d'un text-top=Congé Congé, sa dimension peut être modifié ; ce n'est pas le cas du text-top=Congé Congé Part.
  • Les arêtes doivent être sélectionnées avant de démarrer le text-top=Congé Congé PartDesign. Le text-top=Congé Congé Part, quant à lui, peut être lancé, puis, suivi de la sélection du solide, et, enfin des arêtes.
  • Le text-top=Congé Congé PartDesign ajoute une entrée distincte dans l'arborescence Projet. Le text-top=Congé Congé Part devient le parent de l'objet auquel il a été appliqué.
  • Le text-top=Congé Congé Partdesign affiche un aperçu en temps réel de l'application du congé avant la validation de la fonction.
  • Le text-top=Congé Congé Part supporte les dimensions variables (avec une dimension de départ, et, une dimension d'arrivée). Le text-top=Congé Congé PartDesign ne le permet pas.


Les outils de modifications

text-top=Extrusion    text-top=Révolution    text-top=Miroir    text-top=Congé    text-top=Chanfrein   


Notes on application of Part Fillet

The fillet tool sometimes fails when trying to fillet complex objects. A common cause of this may be that the shape being filleted is not geometrically correct. This may be the result of lines/planes etc not being removed after previous operations used to construct the shape ( e.g. Cut/Intersection/Fusion). A number of steps can be used to minimize problems:

  • Where possible leave filleting a part until the part is completely generated. This will minimize interaction of fillets with subsequent Boolean operations;
  • Use the Part->Check Geometry to check for any errors in the shape geometry and correct;
  • Use Part->Refine shape to remove any artifacts introduced by previous Boolean operations before filleting (and in some cases between filleting operations in sequence);
  • Consider using Edit->Preferences->PartDesign to enable automatic checking and refining of the model after Boolean and sketch based operations (performance may be affected if these options are left switched on).

Part Chamfer.png Chanfrein

Emplacement du menu
Part → Chamfer
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Congé


Description

Chamfers the selected edge(s) of an object. A dialog allows you to choose which edge(s) to work on as well as modify various chamfer parameters.

Chamfer example

How to Use

  1. Press the Part Chamfer.svg button from the Part Workbench. Alternatively, you can select Part → Chamfer.
  2. Select the shape to chamfer from the dialog.
  3. Select edges to chamfer by checking the corresponding box in the chamfer dialog or by selecting them on the model directly.
  4. Edit chamfer parameters.
  5. Press OK to close the chamfer dialog and apply the chamfer.

Options

Dialog-chamfer

  • When selecting edges on the model, you have the option to select by edge or by face. Selecting by face will select all bordering edges of that face.
  • Constant length chamfer or variable length chamfer.
    • A constant length chamfer will create a chamfer with edges equidistant to the original edge at the distance specified.
    • A variable length chamfer will have edges that may be set to different distances from the original edge, allowing you to create a chamfer at a variable angle.

Properties

Part_Chamfer Properties


Base

  • DATABase: The shape onto which the chamfer is to be applied.
  • DATAPlacement: Specifies the orientation and position of the shape in the 3D space.
  • DATALabel: Label given to the object. Change to suit your needs.


Scripting

The Chamfer tool can by used in macros and from the python console by adding a Chamfer object to the document.

Example Script:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False 

Example Script Explanation:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5) 
  • Creates a 5 mm cube for us to apply chamfered edges to. See Part_API for an explanation of the makeBox method.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer") 
  • Adds a new object to the document of type Chamfer (from the Part module) with label "myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube 
  • Specifies that the base shape of the chamfer object should be "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25)) 
  • Creates an empty array "myEdges" and then appends the array with each edge's chamfer parameters.
  • Syntax for each item should be (edge#, chamfer start length, chamfer end length)
chmfr.Edges = myEdges 
  • Sets the Edges attribute of our Chamfer object equal to the array we just created.
FreeCADGui.ActiveDocument.myCube.Visibility = False 
  • This line simply hides "myCube" so that our newly created "myChamfer" object is the only one visible.


Part Booleans.png Opération booléenne

Emplacement du menu
Pièce → Opération booléenne...
Ateliers
Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Union, Intersection et Soustraction


Description

Il s'agit d'une commande générique tout-en-un pour les opérations booléennes. Cet outil vous permet de spécifier l'opération booléenne à réaliser et quels paramètres utiliser, via la boite de dialogue présentée ci-dessous. Pour accéder plus rapidement à chaque opération, voir aussi, Part Union, Part Common and Part Cut.

PartBooleansDialog

Voi aussi Part → Affiner la forme.


Part Cut.png Soustraction

Emplacement du menu
Aucun
Ateliers
Atelier Pièce,Complet
Raccourci par défaut
Aucun
Voir aussi
Opérations booléennes,Union, Intersection


Soustrait un objet à un autre, le dernier sélectionné, étant soustrait au premier. Cette opération est totalement paramétrique : les composants peuvent être modifiés, et le résultat recalculé.

Part Cut

Utilisation

  1. Sélectionnez deux shapes
  2. Cliquez sur le bouton Part Cut.png Part Cut .

Entrées supportées

L'objet doit être un objet OpenCascade. Exemples: doit être créé avec Part, PartDesign, l'atelier Sketcher. Ne peut pas être un objet Mesh (sauf s'il est converti en shape) pour les objets Mesh, utilisez l'outil booléen spécifique dans l'atelier MeshDesign.

Part Union.png Union

Emplacement du menu
Part → Union
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Opérations booléennes, Intersection, Soustraction


Description

text-top=Union Union (additionne) la pièce sélectionnée à une autre (ou d'autres) pièce(s). Cette opération est totalement paramétrique : les composants peuvent être modifiés, et le résultat recalculé.

Part Union 01.png



Part Fuse

Utilisation

Sélectionnez l'atelier Part Part, sur la barre d'outils, ou sur Affichage → Atelier → Part.
Pour effectuer une text-top=Union Union (Fusion) sur plusieurs objets, il suffit de sélectionner les objets à unir, et cliquer sur le bouton text-top=Union Union (Fusion).

Options

Vue combinée → Projet → Vue


Part Boolean Proprietes Vue.png

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEControl Point : Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEDeviation : (Défaut, 0,50).
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords). (Défaut, 25, 25, 25).
  • VUELine Width : Donne l'épaisseur de la ligne (bords). (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme). (Défaut, 25, 25, 25).
  • VUEPoint Size : Donne la dimension des points. (Défaut, 2).
  • VUESelectable : Autorise la sélection de la forme. Valeur FALSE, ou TRUE (Defaut, TRUE).
  • VUEShape Color : Donne la couleur de la forme. (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100. (Défaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur FALSE, ou TRUE (Défaut, TRUE).


Vue combinée → Projet → Données


Part Boolean Proprietes Donnees.png

Base

DONNÉESLabel : Nom de l'objet, modifiable à volonté.

DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Axis, Angle, et, Position ci dessous.
Si vous sélectionnez, le titre Placement, un bouton avec trois petits points s'affiche Options Placement, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.

  • DONNÉESAngle : Angle de rotation en degrés, par rapport aux coordonnées X, Y, Z
  • DONNÉESAxis : Sélection de l'axe(s) de rotation de travail X, Y, ou Z. (Défaut, Z = 1 = actif)
  • DONNÉESPosition : Déplacement des coordonnées X, Y, Z, par rapport aux points d'origine 0, 0, 0.


Exemple



Les outils Booléens

text-top=Opérations    text-top=Soustraction    text-top=Union    text-top=Intersection    text-top=Coupe   

Cette commande vous permet de réaliser rapidement cette Opération boléenne.

Utilisation

  1. Sélectionnez deux ou plusieurs formes
  2. Appuyez sur la touche: text-top=Union Union .

Supported inputs

Input objects must be OpenCascade shapes. Examples: stuff made with Part, PartDesign, Sketcher workbenches. Not meshes (unless those were converted to shapes) - for meshes, there are specific Boolean tools in MeshDesign workbench.

  • Solid + Solid: the result is a solid that occupies all the volume covered by the inputs
  • Shell + Shell, Shell + Face, Face + Face: the result is a shell. Where faces intersect, they are split. Shells can be non-manifold. After fusion, faces can be united by Refining the result.
  • Wire + Wire, Edge + Wire, Edge + Edge: the result is a wire. Edges are split where they intersect.

Compounds are supported; however, it is assumed that shapes packed into a compound do not touch or intersect. If they actually do, Fusion will likely fail, or produce an incorrect result.

Options

Les éléments peuvent être ajoutés et supprimés à partir de l'Union, en les faisant glisser dans ou hors de la fonction d'Union dans l'arborescence, avec la souris. Un recalcul manuel (appuyez sur la touche F5 ou cliquez sur l'icône de recalcul) est nécessaire pour voir les résultats.

Après cette opération il peut être nécessaire de nettoyer la forme avec Affiner la Forme

Part Common.png Intersection

Emplacement du menu
Aucun
Ateliers
Atelier Pièce, Complet
Raccourci par défaut
Aucun
Voir aussi
Opérations booléennes,Union,Soustraction


Description

La fonction text-top=Intersection Intersection, extrait la partie commune (intersection) des deux solides sélectionnés. Cette opération est totalement paramétrique : les composants peuvent être modifiés, et le résultat recalculé.

Part Common fr 01.png



Utilisation

Sélectionnez l'atelier Part Part, sur la barre d'outils, ou sur Affichage → Atelier → Part.
Pour effectuer une opération d'text-top=Intersection Intersection, sélectionnez deux ou plusieurs objets, puis cliquez sur le bouton text-top=Intersection Intersection, et, la partie commune des objets sélectionnés sera extraite.

Options

Vue combinée → Projet → Vue


Part Boolean Proprietes Vue.png

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEControl Point : Valeur FALSE, ou TRUE (Défaut, FALSE).
  • VUEDeviation : (Défaut, 0,50).
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Flat lines).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords). (Défaut, 25, 25, 25).
  • VUELine Width : Donne l'épaisseur de la ligne (bords). (Défaut, 2).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme). (Défaut, 25, 25, 25).
  • VUEPoint Size : Donne la dimension des points. (Défaut, 2).
  • VUESelectable : Autorise la sélection de la forme. Valeur FALSE, ou TRUE (Defaut, TRUE).
  • VUEShape Color : Donne la couleur de la forme. (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100. (Défaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur FALSE, ou TRUE (Défaut, TRUE).


Vue combinée → Projet → Données


Part Boolean Proprietes Donnees.png

Base

DONNÉESLabel : Nom de l'objet, modifiable à volonté.

DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Axis, Angle, et, Position ci dessous.
Si vous sélectionnez, le titre Placement, un bouton avec trois petits points s'affiche Options Placement, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.

  • DONNÉESAngle : Angle de rotation en degrés, par rapport aux coordonnées X, Y, Z
  • DONNÉESAxis : Sélection de l'axe(s) de rotation de travail X, Y, ou Z. (Défaut, Z = 1 = actif)
  • DONNÉESPosition : Déplacement des coordonnées X, Y, Z, par rapport aux points d'origine 0, 0, 0.


Exemple



Les outils Booléens

text-top=Opérations    text-top=Soustraction    text-top=Union    text-top=Intersection    text-top=Coupe   

How to use

  1. Select two shapes
  2. Press the Part Common.png Part Common button.

Supported inputs

Input objects must be OpenCascade shapes. Examples: stuff made with Part, PartDesign, Sketcher workbenches. Not meshes (unless those were converted to shapes) - for meshes, there are specific Boolean tools in MeshDesign workbench.

Part Section.png Coupe

Emplacement du menu
Pièce → Coupes...
Ateliers
Atelier Pièce, Complete
Raccourci par défaut
Aucun
Voir aussi
SectionCross


Introduction

Extracts a section from the intersection of two selected shapes, the second one being used as a section plane. This operation is fully parametric and the components can be modified and the result recomputed.


In this example, a cube is sectioned with a cylinder:

PartSection1 it.png
  • Base: base object, the Box
  • Tool: Section tool, the cylinder


Use

  1. Select the base object
  2. Select the Section tool
  3. Click on PartPart Section.png Section from the top menu.

Links

To create sections with a section plane see SectionCross


Credits

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Developement

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • jmaustpc
  • j-dowsett
  • keithsloan52
  • Joachim Zettler
  • Graeme van der Vlugt
  • Berthold Grupp
  • Georg Wiora
  • Martin Burbaum
  • Jacques-Antoine Gaudin
  • Ken Cline
  • Dmitry Chigrin
  • Remigiusz Fiedler (DXF-parser)
  • peterl94
  • jobermayr
  • ovginkel
  • triplus
  • tomate44
  • maurerpe
  • Johan3DV
  • Mandeep Singh
  • fandaL
  • jonnor
  • usakhelo
  • plaes
  • SebKuzminsky
  • jcc242
  • ezzieyguywuf
  • marktaff
  • poutine70
  • qingfengxia
  • dbtayl
  • itain
  • Barleyman

<translate>

Companies

Companies which donated code or developer time: </translate>

  • Imetric 3D

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

  • Renato Rivoira (renatorivo)
  • Honza32
  • Hervé Blorec
  • Eduardo Magdalena
  • piffpoof
  • Wurstwasser
  • Roland Frank (r-frank)
  • bejant
  • Ediloren
  • Isaac Ayala

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>

  • Gerhard Scheepers
  • wbrwbr2011
  • hanhsuan
  • hicarl
  • fandaL
  • Peta T
  • Zdeněk Havlík
  • Jodbe
  • Peter Hageman
  • Vilfredo
  • Bruno Gonçalves Pirajá
  • Timo Seppola
  • rako
  • Pasi Kukkola
  • Ettore Atalan
  • nikoss
  • yang12
  • totyg
  • htsubota
  • asakura
  • Masaya Ootsuki
  • Jiyong Choi
  • Bartlomiej Niemiec
  • trzyha
  • bluecd
  • Miguel Morais
  • Nicu Tofan
  • Victor Radulescu
  • Angelescu Constantin
  • sema
  • Николай Матвеев
  • pinkpony
  • Alexandre Prokoudine
  • Марко Пејовић
  • Marosh
  • Peter Klofutar
  • Raulshc
  • javierMG
  • Lars
  • kunguz
  • Igor
  • Федір

<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>

  • microelly2
  • hamish2014
  • jreinhardt
  • jmwright
  • cblt2l
  • javierMG
  • looooo
  • shaise
  • marmni
  • Maaphoo
  • Rentlau

<translate> </translate>